


pro check_pingsoft_event, event

  widget_control, event.id, get_uvalue=uvalue

  case uvalue of

     ;---------------------------------- QUIT
     'quit' : begin
        widget_control, event.top, get_uvalue = s
        widget_control, event.top, /destroy
        goto, fin
     end

  end

  widget_control, event.id, set_uvalue=uvalue, /realize

fin:
end



pro check_pingsoft

;---------------------------   Checking graphic display
pingsoft_param, pings, ''
pingsoft_display, pings, /silent

print, ''
print, ' Checking display...'
print, ''


;---------------------------   Checking PINGSOFT_PATH

pt_path = expand_path('${PINGSOFT_PATH}')

print, ''
print, ' Checking paths...'
print, ''

if pt_path eq '' then begin
    print, ''
    print, " ERROR:  The variable  'PINGSOFT_PATH'  is not defined"
    print, ''
    return
endif


;---------------------------   Checking position tables

print, ''
print, ' Checking files...'
print, ''

test = pt_path+'/pos_tables/ppak_331.txt'

if file_test(test) eq 0 then begin
   print, ''
   print, " ERROR:  The files in the $PINGSOFT_PATH/pos_tables/  directory are not defined"
   print, ''
   return
endif

;---------------------------   Checking NASA Library

print, ''
print, ' Checking NASA IDL Library...'
print, ''

map = pt_path+'/pos_tables/test_map.fits'

com = execute( "image = readfits( map, /silent)" )

if com eq 0 then begin
   print, ''
   print, " ERROR:  The NASA IDL Astronomy Library does not seem to be in the $IDL_PATH"
   print, ''
   return
endif


;---------------------------   Checking Coyote Library

print, ''
print, ' Checking Coyote Library...'
print, ''

com = execute('scale = AsinhScl(image, Beta=0.0)'  )

if com eq 0 then begin
   print, ''
   print, " ERROR:  The Coyote IDL Library does not seem to be in the $IDL_PATH"
   print, ''
   return
endif

print, ''
print, ' Libraries PATHs seem OK!'
print, ''



;---------------------------   Widget

xsize = 550
ysize = 360

 dim = get_screen_size(resolution=res)
xdim = dim[0]
ydim = dim[1]
xoff = fix(xdim*0.5)-xsize*0.5
yoff = fix(ydim*0.5)-ysize*0.5
;xoff = xdim-xsize


xlogo = 170
ylogo = xlogo*1.05

logo = read_image( '$PINGSOFT_PATH/PINGSoft.jpg' )

main  = widget_base(title='PINGSoft: an IDL Integral Field Spectroscopy Software',  $
              xsize=xsize, ysize=ysize, xoff=xoff, yoff=yoff, units=0, /column )

;---------------------- Main bases

 base = widget_base(main, /column, /base_align_top )
row_1 = widget_base(base, /row, xsize=xsize )
row_2 = widget_base(base, /row, xsize=xsize )
row_3 = widget_base(base, /row, xsize=xsize, /base_align_center )


; Text 1
base0 = widget_base(row_1, /column, xsize=350  )
base0 = widget_base(base0, /column, /base_align_left )

dumb = widget_base(base0, /colum, ysize=10 )
dumb = widget_label(base0, value='PINGSoft has been installed successfully!')
dumb = widget_base(base0, /colum, ysize=20 )
dumb = widget_label(base0, value='PINGSoft is free software:')
dumb = widget_label(base0, value='  You can redistribute it and/or modify it under')
dumb = widget_label(base0, value='  the terms of the GNU General Public License GPLv3.')
dumb = widget_label(base0, value='  PINGSoft is distributed without ANY WARRANTY.')
dumb = widget_base(base0, /colum, ysize=15 )
dumb = widget_label(base0, value='Copyright (2012)  F. Fabian Rosales-Ortega')


; Text 2
base0 = widget_base(row_2, /row, xsize=370  )
base0 = widget_base(base0, /column, /base_align_left )

dumb = widget_base(base0, /colum, ysize=10 )
dumb = widget_label(base0, value='If you find this code useful for your research')
dumb = widget_label(base0, value='please acknowledge the use of PINGSoft:')
dumb = widget_base(base0, /colum, ysize=15 )
dumb = widget_label(base0, value='   Rosales-Ortega, (2011) NewAstron 16, 220')

; Text 3
base0 = widget_base(row_3, /row  )
base0 = widget_base(base0, /column )
dumb = widget_label(base0, $
        value='Send comments, bugs, suggestions, postcards to:  frosales@cantab.net', /align_center)


; Logo
dumb = widget_base(row_1, /column )
dumb = widget_base(dumb, /column, /frame )
win0 = widget_draw(dumb, xsize=xlogo, ysize=ylogo )


; Quit
base0 = widget_base(row_2, /column,  /align_bottom )
dumb =  widget_base(base0, /column, /frame)
 quit = widget_button(dumb, xsize=130, ysize=50,  value='OK', uvalue='quit' )


widget_control, main, set_uvalue=s, /realize
widget_control, win0, get_value = windexm

wset, windexm
tvimage, logo, /keep, /erase, xsize=xlogo, ys=ylogo, background=255
;cgimage, logo, /keep, /erase, xsize=xlogo, ys=ylogo, background=255


dumb = widget_label(base0, value='')
space = widget_base(base0, /colum, ysize=15 )

;---------------------- Execute GUI
xmanager, 'check_pingsoft', main, /no_block



;---------------------------   Disclaimer

print, ''
print, ' PINGSoft has been installed successfully...!'
print, ''
print, ''
print, '   Copyright (2012)  F. Fabian Rosales-Ortega'
print, ''
print, '   PINGSoft is free software:'
print, '    You can redistribute it and/or modify it under'
print, '    the terms of the GNU General Public License GPLv3.'
print, '    PINGSoft is distributed without ANY WARRANTY.'
print, ''
print, ''
print, '   IMPORTANT: If you find this code useful for your research'
print, '              please acknowledge the use of PINGSoft:'
print, ''
print, '              F. F. Rosales-Ortega (2011), NewAstron 16, 220'
print, ''
print, ''
print, '   Send comments, bugs, suggestions, postcards to:  frosales@cantab.net'
print, ''
print, ''


end
