
function identify_rss, rows, hdr

;+
;
;       This routine belongs to the PINGS IDL software available at:
;
;       http://www.ast.cam.ac.uk/research/pings
;
;       where additional documentation can be found. If you find this code
;       useful on your research, please acknowledge the use of PINGSoft by
;       including the original project reference in your publications.
;
;
;       Copyright (C) 2010  F. Fabian Rosales-Ortega
;
;       PINGSoft is free software: you can redistribute it and/or modify it
;       under the terms of the GNU General Public License as published by the
;       Free Software Foundation, version 3. See the GNU General Public License
;       for more details.
;
;       PINGSoft is distributed in the hope that it will be useful, but WITHOUT
;       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;       FITNESS FOR A PARTICULAR PURPOSE. 
;
;       The GNU General Public License is found in: http://www.gnu.org/licenses
;
;-

; Null
pos_table='none'

pt_path = expand_path('${PINGSOFT_PATH}')

; Defaults for PMAS
if rows eq 256 then begin
    resol = fxpar(hdr,'PMASR')
    if resol eq 0  then pos_table='none'  
    if resol eq 0.50 then pos_table=pt_path+'/pos_tables/pmas_res0.50.txt'   ; 0.5"
    if resol eq 0.75 then pos_table=pt_path+'/pos_tables/pmas_res0.75.txt'   ; 0.75"
    if resol eq 1.00 then pos_table=pt_path+'/pos_tables/pmas_res1.00.txt'   ; 1.0"
endif


; Defaults for PPAK
if rows eq 331 then pos_table=pt_path+'/pos_tables/ppak_331.txt'     ; central hexagon
if rows eq 382 then pos_table=pt_path+'/pos_tables/ppak_382.txt'     ; central hexagon + sky fibres
if rows eq 993 then pos_table=pt_path+'/pos_tables/ppak_dither.txt'  ; dithered mosaic


; Defaults for VIMOS
if rows eq 1600 then begin
    resol = fxpar(hdr,'VIMOSR')
    if resol eq 0  then pos_table='none'  
    if resol eq 0.33 then pos_table=pt_path+'/pos_tables/vimos_40x40_33.txt'   ; 40x40, 0.33"
    if resol eq 0.67 then pos_table=pt_path+'/pos_tables/vimos_40x40_67.txt'   ; 40x40, 0.67"
endif
if rows eq 6400 then begin
    resol = fxpar(hdr,'VIMOSR')
    if resol eq 0  then pos_table='none'  
    if resol eq 0.33 then pos_table=pt_path+'/pos_tables/vimos_80x80_33.txt'   ; 80x80, 0.33"
    if resol eq 0.67 then pos_table=pt_path+'/pos_tables/vimos_80x80_67.txt'   ; 80x80, 0.67"
endif
if rows eq 1936 then pos_table=pt_path+'/pos_tables/vimos_44x44.txt' ; 44x44 dithered frame


; Defaults for INTEGRAL  (ad-hoc table provided by S. Arribas)

instrument = sctrim(fxpar(hdr,'INSTRUME'))
if rows eq 135 and instrument eq 'INTEGRAL' then pos_table=pt_path+'/pos_tables/integral.135.txt'
if rows eq 205 and instrument eq 'INTEGRAL' then pos_table=pt_path+'/pos_tables/integral.205.txt'
if rows eq 219 and instrument eq 'INTEGRAL' then pos_table=pt_path+'/pos_tables/integral.219.txt'

return, pos_table
end
