

pro normalize_cont, lambda, flux, cont1, cont2, fnorm, POLY=poly, WIDTH=width, PLOT=plot


if n_params() lt 5 then begin
    print, ''
    print, ' CALLING SEQUENCE: '
    print, ''
    print, ' normalize_cont, lambda, flux, cont1, cont2, fnorm, [, WIDTH=width, /POLY, /PLOT]'
    print, ''
    print, ''
    return
endif


if not keyword_set(width) then width=50.


;--------------------------  Continuum bands

mm1 = where(lambda ge cont1-width*0.5 and lambda le cont1+width*0.5)
mm2 = where(lambda ge cont2-width*0.5 and lambda le cont2+width*0.5)

lam1 = lambda[mm1]
lam2 = lambda[mm2]

fcont1 = flux[mm1]
fcont2 = flux[mm2]

ltest = [lam1,lam2]
ftest = [fcont1,fcont2]

if keyword_set(plot) then begin
    ll = (max(ltest)-min(ltest))*0.5
    xmin = min(ltest)-ll
    xmax = max(ltest)+ll
    plot, lambda, flux, xr=[xmin,xmax], xs=1
    oplot, lam1, fcont1, color=250, thick=2
    oplot, lam2, fcont2, color=250, thick=2
endif


xtest = min(ltest) + abs(max(ltest)-min(ltest))*0.5


;-------------------------- linear fit

if not keyword_set(poly) then begin

    lfit = linfit(ltest,ftest)
    
    yfit = lfit[0] + lfit[1]*ltest
    
    val = lfit[0] + lfit[1]*xtest

    goto, next
    
endif


;-------------------------- poly fit


if keyword_set(poly) then begin

    poly = round(poly)

    if poly eq 2 then begin
        pfit = poly_fit(ltest,ftest,poly)
        yfit = pfit[0] + pfit[1]*ltest + pfit[2]*ltest^2
        val  = pfit[0] + pfit[1]*xtest + pfit[2]*xtest^2
    endif
    if poly eq 3 then begin
        pfit = poly_fit(ltest,ftest,poly)
        yfit = pfit[0] + pfit[1]*ltest + pfit[2]*ltest^2 + pfit[3]*ltest^3
        val  = pfit[0] + pfit[1]*xtest + pfit[2]*xtest^2 + pfit[3]*xtest^3
    endif

endif

next:


if val le 1 then scale = 1-val else scale = val-1

scale = 1-val

fnorm = flux + scale

if keyword_set(plot) then begin
    oplot, ltest, yfit, color=50, thick=2
    oplot, lambda, fnorm, color=80
endif


end
