
function pingsoft_boxlim, id, x, y, radius

;+
;
;       This routine belongs to the PINGS IDL software available at:
;
;       http://www.ast.cam.ac.uk/research/pings
;
;       where additional documentation can be found. If you find this code
;       useful on your research, please acknowledge the use of PINGSoft by
;       including the original project reference in your publications.
;
;
;       Copyright (C) 2010  F. Fabian Rosales-Ortega
;
;       PINGSoft is free software: you can redistribute it and/or modify it
;       under the terms of the GNU General Public License as published by the
;       Free Software Foundation, version 3. See the GNU General Public License
;       for more details.
;
;       PINGSoft is distributed in the hope that it will be useful, but WITHOUT
;       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;       FITNESS FOR A PARTICULAR PURPOSE. 
;
;       The GNU General Public License is found in: http://www.gnu.org/licenses
;
;-

; Nice box limits

spax_fac = radius*7

xbar = abs(max(x)-min(x))*0.5
ybar = abs(max(y)-min(y))*0.5
xmed = xbar+min(x)
ymed = ybar+min(y)

if xbar gt spax_fac then xfbar = 1.2 else xfbar=4.0
if ybar gt spax_fac then yfbar = 1.2 else yfbar=4.0

; PPAK special cases
if n_elements(id) eq 331 or n_elements(id) eq 993 then yfbar = 1.3
if n_elements(id) eq 382 then xfbar = 1.3

xmax_mosaic = round(xmed+xbar*xfbar)
xmin_mosaic = round(xmed-xbar*xfbar)
ymax_mosaic = round(ymed+ybar*yfbar)
ymin_mosaic = round(ymed-ybar*yfbar)

limits = [xmax_mosaic,xmin_mosaic,ymax_mosaic,ymin_mosaic]

return, limits
end
