
pro pingsoft_display, pings, SILENT=silent

;+
;
;       This routine belongs to the PINGS IDL software available at:
;
;       http://www.ast.cam.ac.uk/research/pings
;
;       where additional documentation can be found. If you find this code
;       useful on your research, please acknowledge the use of PINGSoft by
;       including the original project reference in your publications.
;
;
;       Copyright (C) 2010  F. Fabian Rosales-Ortega
;
;       PINGSoft is free software: you can redistribute it and/or modify it
;       under the terms of the GNU General Public License as published by the
;       Free Software Foundation, version 3. See the GNU General Public License
;       for more details.
;
;       PINGSoft is distributed in the hope that it will be useful, but WITHOUT
;       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;       FITNESS FOR A PARTICULAR PURPOSE. 
;
;       The GNU General Public License is found in: http://www.gnu.org/licenses
;
;-

; Sets graphic prameters for a correct visualisation

window, /free, /pixmap, colors=-10
wdelete, !d.window


; IDL X-device settings

!p.font=pings.pfont

if pings.pfont eq 1 then $
   device, decomposed=0, true_color=24, retain=2, set_font='Helvetica', /TT_font, set_character_size=pings.font_size $
else $
   device, decomposed=0, true_color=24, retain=2, set_character_size=pings.font_size

!p.background=255

!p.color=0

if not keyword_set(silent) then begin
    print, ''
    print, ' IDL graphic device changed to WHITE background'
    print, ''
endif

end
