

function pingsoft_win, null

;+
;
;       This routine belongs to the PINGS IDL software available at:
;
;       http://www.ast.cam.ac.uk/research/pings
;
;       where additional documentation can be found. If you find this code
;       useful on your research, please acknowledge the use of PINGSoft by
;       including the original project reference in your publications.
;
;
;       Copyright (C) 2010  F. Fabian Rosales-Ortega
;
;       PINGSoft is free software: you can redistribute it and/or modify it
;       under the terms of the GNU General Public License as published by the
;       Free Software Foundation, version 3. See the GNU General Public License
;       for more details.
;
;       PINGSoft is distributed in the hope that it will be useful, but WITHOUT
;       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;       FITNESS FOR A PARTICULAR PURPOSE. 
;
;       The GNU General Public License is found in: http://www.gnu.org/licenses
;
;-

; Changes the windows positions/dimensions according to the display
;
; NOTE: All units in pixels

dim = get_screen_size(resolution=resolution)

xdim = dim[0]
ydim = dim[1]


; IDL 0
;
; Size on screen of the window showing the spatial distribution of spaxels
; 
; values based on xwin0_size ~ 700 
;                 ywin0_size ~ 600  for a 1680x1050 display (e.g. MacBook Pro)

xwin0_size = fix(xdim*0.42)
ywin0_size = fix(ydim*0.59)



; IDL 2
;
; Size on the screen of the spectral window 
;
; values based on xwin2_size ~ 850 
;                 ywin2_size ~ 500  for a 1680x1050 display (e.g. MacBook Pro)

xwin2_size = fix(xdim*0.5)
ywin2_size = fix(ydim*0.5)



; Final vector
win_dim = [ xwin0_size,ywin0_size, xwin2_size,ywin2_size ]

return, win_dim

end
