
pro widget_param, wparam


; Widget size (based on screen size
  dim = get_screen_size(resolution=resolut)
 xdim = dim[0]
 ydim = dim[1]

;; if xdim gt 1280 then xsize = fix(xdim*0.70) else xsize = 1180
;; if ydim gt 1024 then ysize = fix(ydim*0.80) else ysize = 720
;; if xdim gt 1300 then xsize = 1180
;; if ydim gt 1200 then ysize = 840

xsize = 1180
ysize = 840
if ydim le 1024 then ysize = 720


; Widget screen offsets
xoff = xdim-(xdim+xsize)*0.5 
yoff = ydim*0.1


wparam = { $

        ; Widget size (based on screen size
        xsize: xsize  ,$
        ysize: ysize  ,$
         xdim: xdim   ,$
         ydim: ydim   ,$

        ; Widget screen offsets
        xoff: xoff   ,$
        yoff: yoff   ,$


        ; Plot position within the window X-device
        pos0: [0.15,0.10,0.98,0.98] ,$   ; FoV
        pos2: [0.10,0.09,0.98,0.98] ,$   ; Spectral window     

        ; Character size on X-display windows
        csize: 0.7   ,$
        
        ; Spectra flux colour 
        fcolor:  100   ,$  ; main spectra
        bpcolor: 180   ,$  ; bad pixels spectrum (CALIFA)

        ; Settings for pass-band line
        showband:  3   ,$  ; display pass-band (1=Yes,0=No)
        bcolor:  160   ,$  ; colour
        bline:     3   ,$  ; linestyle
        filter:    1   ,$  ; default Filter

        ; /DRAW option colour
        dcolor1: 70   ,$   ; X-display
        dcolor2: 20   ,$   ; PS

        ; Display font
        pfont: -1            ,$    ; (-1) vector, (1) TrueType
        font_size: [12,14]   ,$    ; first vector-value is the actual size
        wthick: 1            ,$  ; windows line thickness

        ; Labels
        xtitle0: '!7D!5!e !nRA (arcsec)!X'   ,$
        ytitle0: '!7D!5!e !nDec (arcsec)!X'  ,$
        xtitle2: '!5Wavelength!X'            ,$
        ytitle2: '!5Flux!X'                  ,$
        xtitle3: '!7D!5!e !nRA (mas)!X'   ,$
        ytitle3: '!7D!5!e !nDec (mas)!X'  ,$

         ; Vertical line settings
        ctline:   3   ,$    ; colour table
        cline:  150   ,$    ; line colour
        tline:    1   ,$    ; line thickness

        ; Postscript settings
        x_ps:  20      ,$    ; output dimensions (cm)
        y_ps:  18      ,$
        font:  12      ,$    ; Helvetica (see pingsoft_pson.pro for a full list)
        axis:   3      ,$    ; Axis thickness
        csize_ps: 1.3  ,$    ; Character size

        ;EOF
        null:'' $
        }

end
